curl -X POST https://api.chargeapi.co/v1/estimations \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"battery_level": 28,
"battery_target_level": 80,
"charging_station": "chst_I0GVqyJwBI3Jwd4V6yIA009ZAgLOzTGm",
"vehicle": "veh_f4zwAgxuAkNh6HHUDorkosY6md4BB7A2"
}'
{
"id": "est_ru6IqQbvO5jXuKqAAuVX7ZevKKCHKyAJ",
"object": "estimation",
"battery_level": 28,
"battery_target_level": 80,
"charging_station": "chst_I0GVqyJwBI3Jwd4V6yIA009ZAgLOzTGm",
"cost_breakdown": [
{
"cost": 1542,
"description": "Off-peak energy rate",
"quantity": 18.25,
"tax_percent": "20%",
"type": "energy",
"unit": "kWh",
"unit_price": 85
},
{
"cost": 300,
"description": "Session fee",
"quantity": null,
"tax_percent": null,
"type": "session_fee",
"unit": null,
"unit_price": null
}
],
"created": "2026-04-01T00:46:52.360Z",
"currency": "eur",
"estimated_duration": 3600,
"estimated_energy_kwh": 18.25,
"estimated_total_cost": 1842,
"valid_until": "2026-04-01T01:46:42.724Z",
"vehicle": "veh_f4zwAgxuAkNh6HHUDorkosY6md4BB7A2"
}
Estimations
Create an Estimation
curl -X POST https://api.chargeapi.co/v1/estimations \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"battery_level": 28,
"battery_target_level": 80,
"charging_station": "chst_I0GVqyJwBI3Jwd4V6yIA009ZAgLOzTGm",
"vehicle": "veh_f4zwAgxuAkNh6HHUDorkosY6md4BB7A2"
}'
{
"id": "est_ru6IqQbvO5jXuKqAAuVX7ZevKKCHKyAJ",
"object": "estimation",
"battery_level": 28,
"battery_target_level": 80,
"charging_station": "chst_I0GVqyJwBI3Jwd4V6yIA009ZAgLOzTGm",
"cost_breakdown": [
{
"cost": 1542,
"description": "Off-peak energy rate",
"quantity": 18.25,
"tax_percent": "20%",
"type": "energy",
"unit": "kWh",
"unit_price": 85
},
{
"cost": 300,
"description": "Session fee",
"quantity": null,
"tax_percent": null,
"type": "session_fee",
"unit": null,
"unit_price": null
}
],
"created": "2026-04-01T00:46:52.360Z",
"currency": "eur",
"estimated_duration": 3600,
"estimated_energy_kwh": 18.25,
"estimated_total_cost": 1842,
"valid_until": "2026-04-01T01:46:42.724Z",
"vehicle": "veh_f4zwAgxuAkNh6HHUDorkosY6md4BB7A2"
}
Creates a cost estimate for a proposed charging session. Provide the charging goal plus station and vehicle context to receive estimated energy, duration, and pricing.
curl -X POST https://api.chargeapi.co/v1/estimations \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"battery_level": 28,
"battery_target_level": 80,
"charging_station": "chst_I0GVqyJwBI3Jwd4V6yIA009ZAgLOzTGm",
"vehicle": "veh_f4zwAgxuAkNh6HHUDorkosY6md4BB7A2"
}'
{
"id": "est_ru6IqQbvO5jXuKqAAuVX7ZevKKCHKyAJ",
"object": "estimation",
"battery_level": 28,
"battery_target_level": 80,
"charging_station": "chst_I0GVqyJwBI3Jwd4V6yIA009ZAgLOzTGm",
"cost_breakdown": [
{
"cost": 1542,
"description": "Off-peak energy rate",
"quantity": 18.25,
"tax_percent": "20%",
"type": "energy",
"unit": "kWh",
"unit_price": 85
},
{
"cost": 300,
"description": "Session fee",
"quantity": null,
"tax_percent": null,
"type": "session_fee",
"unit": null,
"unit_price": null
}
],
"created": "2026-04-01T00:46:52.360Z",
"currency": "eur",
"estimated_duration": 3600,
"estimated_energy_kwh": 18.25,
"estimated_total_cost": 1842,
"valid_until": "2026-04-01T01:46:42.724Z",
"vehicle": "veh_f4zwAgxuAkNh6HHUDorkosY6md4BB7A2"
}
Parameters
integer
required
Current battery level of the vehicle before charging, as a percentage (0-100).
integer
required
Target battery level for this session, as a percentage (0-100).
string
required
ID of the charging station being evaluated.
string
required
ID of the vehicle to use for battery capacity and connector checks.
More parameters
string
Optional ISO 4217 currency code to override the station default.

